Description
Property type
Syntax
Visual Basic |
---|
Public Property Rotation As Double |
Example
' This example creates text and adds it to the drawing using the
' AddText method. It then obtains and resets the Rotation property.
Dim icadDoc As IntelliCAD.Document
Dim myText As String
Dim textObj As IntelliCAD.Text
Dim insPt As IntelliCAD.Point
Dim height As Double
Dim NewRotation As Double
Set icadDoc = ActiveDocument
Set insPt = Library.CreatePoint(0, 9)
height = 5
myText = "Test string for the AddText method"
' Add the Text object
Set textObj = icadDoc.ModelSpace.AddText(myText, insPt, height)
textObj.Update
ThisDocument.Application.ZoomExtents
MsgBox "Rotation: " & textObj.Rotation
NewRotation = InputBox("Type a rotation (in radians):")
textObj.Rotation = NewRotation
textObj.Update
ThisDocument.Application.ZoomExtents
End Sub